This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 814665 - blender 2.62 crashes on startup
blender 2.62 crashes on startup
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: blender (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
: 814262 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 07:12 EDT by Jakub Steiner
Modified: 2012-05-26 03:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 03:29:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for blender ndof system (1.43 KB, patch)
2012-04-25 09:22 EDT, Richard Shaw
no flags Details | Diff

  None (edit)
Description Jakub Steiner 2012-04-20 07:12:11 EDT
Description of problem:

Blender crashes on startup. The official 2.62 binary off blender.org seems to work fine on the same system. Tested on two different boxes with f17beta.

Version-Release number of selected component (if applicable):

2.62.4.fc17

How reproducible:
always

Steps to Reproduce:
1. launch
  
Actual results:
crashes with the following info:

jimmac@kratos:~/$ blender 
connect failed: No such file or directory
ndof: spacenavd not found
*** buffer overflow detected ***: /usr/bin/blender terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x3dc1b09797]
/lib64/libc.so.6[0x3dc1b07950]
/lib64/libc.so.6[0x3dc1b09747]
/lib64/libspnav.so.0(spnav_poll_event+0x103)[0x3dc7601fc3]
/usr/bin/blender(_ZN20GHOST_NDOFManagerX1113processEventsEv+0x2a)[0xcc4bda]
/usr/bin/blender(_ZN15GHOST_SystemX1113processEventsEb+0xdf)[0xcc0c8f]
/usr/bin/blender(GHOST_ProcessEvents+0x14)[0xcbdc74]
/usr/bin/blender(wm_window_process_events+0x37)[0x785e77]
/usr/bin/blender(WM_main+0x10)[0x770cd0]
/usr/bin/blender(main+0x8f1)[0x7662d1]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x3dc1a21735]
/usr/bin/blender[0x76ec89]
======= Memory map: ========
00400000-0178a000 r-xp 00000000 08:01 160129                             /usr/bin/blender
01989000-0212d000 rw-p 01389000 08:01 160129                             /usr/bin/blender
0212d000-021b7000 rw-p 00000000 00:00 0 
0232c000-024d9000 rw-p 01b2c000 08:01 160129                             /usr/bin/blender
042ab000-05bb0000 rw-p 00000000 00:00 0                                  [heap]
3dc1600000-3dc1620000 r-xp 00000000 08:01 132634                         /usr/lib64/ld-2.15.so
3dc181f000-3dc1820000 r--p 0001f000 08:01 132634                         /usr/lib64/ld-2.15.so
3dc1820000-3dc1821000 rw-p 00020000 08:01 132634                         /usr/lib64/ld-2.15.so
3dc1821000-3dc1822000 rw-p 00000000 00:00 0 
3dc1a00000-3dc1bac000 r-xp 00000000 08:01 175571                         /usr/lib64/libc-2.15.so
3dc1bac000-3dc1dac000 ---p 001ac000 08:01 175571                         /usr/lib64/libc-2.15.so
3dc1dac000-3dc1db0000 r--p 001ac000 08:01 175571                         /usr/lib64/libc-2.15.so
3dc1db0000-3dc1db2000 rw-p 001b0000 08:01 175571                         /usr/lib64/libc-2.15.so
3dc1db2000-3dc1db7000 rw-p 00000000 00:00 0 
3dc1e00000-3dc1e16000 r-xp 00000000 08:01 191221                         /usr/lib64/libpthread-2.15.so
3dc1e16000-3dc2016000 ---p 00016000 08:01 191221                         /usr/lib64/libpthread-2.15.so
3dc2016000-3dc2017000 r--p 00016000 08:01 191221                         /usr/lib64/libpthread-2.15.so
3dc2017000-3dc2018000 rw-p 00017000 08:01 191221                         /usr/lib64/libpthread-2.15.so
3dc2018000-3dc201c000 rw-p 00000000 00:00 0 
3dc2200000-3dc2203000 r-xp 00000000 08:01 191220                         /usr/lib64/libdl-2.15.so
3dc2203000-3dc2402000 ---p 00003000 08:01 191220                         /usr/lib64/libdl-2.15.so
3dc2402000-3dc2403000 r--p 00002000 08:01 191220                         /usr/lib64/libdl-2.15.so
3dc2403000-3dc2404000 rw-p 00003000 08:01 191220                         /usr/lib64/libdl-2.15.so
3dc2600000-3dc2607000 r-xp 00000000 08:01 191222                         /usr/lib64/librt-2.15.so
3dc2607000-3dc2806000 ---p 00007000 08:01 191222                         /usr/lib64/librt-2.15.so
3dc2806000-3dc2807000 r--p 00006000 08:01 191222                         /usr/lib64/librt-2.15.so
3dc2807000-3dc2808000 rw-p 00007000 08:01 191222                         /usr/lib64/librt-2.15.so
3dc2a00000-3dc2afa000 r-xp 00000000 08:01 164890                         /usr/lib64/libm-2.15.so
3dc2afa000-3dc2cf9000 ---p 000fa000 08:01 164890                         /usr/lib64/libm-2.15.so
3dc2cf9000-3dc2cfa000 r--p 000f9000 08:01 164890                         /usr/lib64/libm-2.15.so
3dc2cfa000-3dc2cfb000 rw-p 000fa000 08:01 164890                         /usr/lib64/libm-2.15.so
3dc2e00000-3dc2e17000 r-xp 00000000 08:01 191229                         /usr/lib64/libz.so.1.2.5
3dc2e17000-3dc3016000 ---p 00017000 08:01 191229                         /usr/lib64/libz.so.1.2.5
3dc3016000-3dc3017000 rw-p 00016000 08:01 191229                         /usr/lib64/libz.so.1.2.5
3dc3200000-3dc321e000 r-xp 00000000 08:01 191230                         /usr/lib64/libselinux.so.1
3dc321e000-3dc341d000 ---p 0001e000 08:01 191230                         /usr/lib64/libselinux.so.1
3dc341d000-3dc341e000 r--p 0001d000 08:01 191230                         /usr/lib64/libselinux.so.1
3dc341e000-3dc341f000 rw-p 0001e000 08:01 191230                         /usr/lib64/libselinux.so.1
3dc341f000-3dc3421000 rw-p 00000000 00:00 0 
3dc3600000-3dc3659000 r-xp 00000000 08:01 163640                         /usr/lib64/libpcre.so.0.0.1
3dc3659000-3dc3858000 ---p 00059000 08:01 163640                         /usr/lib64/libpcre.so.0.0.1
3dc3858000-3dc3859000 r--p 00058000 08:01 163640                         /usr/lib64/libpcre.so.0.0.1
3dc3859000-3dc385a000 rw-p 00059000 08:01 163640                         /usr/lib64/libpcre.so.0.0.1
3dc3a00000-3dc3a17000 r-xp 00000000 08:01 191308                         /usr/lib64/libcelt0.so.2.0.0
3dc3a17000-3dc3c16000 ---p 00017000 08:01 191308                         /usr/lib64/libcelt0.so.2.0.0
3dc3c16000-3dc3c17000 r--p 00016000 08:01 191308                         /usr/lib64/libcelt0.so.2.0.0
3dc3c17000-3dc3c18000 rw-p 00017000 08:01 191308                         /usr/lib64/libcelt0.so.2.0.0
3dc3e00000-3dc3e06000 r-xp 00000000 08:01 172055                         /usr/lib64/libIlmThread.so.6.0.0
3dc3e06000-3dc4005000 ---p 00006000 08:01 172055                         /usr/lib64/libIlmThread.so.6.0.0
3dc4005000-3dc4006000 r--p 00005000 08:01 172055                         /usr/lib64/libIlmThread.so.6.0.0
3dc4006000-3dc4007000 rw-p 00006000 08:01 172055                         /usr/lib64/libIlmThread.so.6.0.0
3dc4200000-3dc42f7000 r-xp 00000000 08:01 185351                         /usr/lib64/libfftw3.so.3.3.0
3dc42f7000-3dc44f6000 ---p 000f7000 08:01 185351                         /usr/lib64/libfftw3.so.3.3.0
3dc44f6000-3dc44fd000 r--p 000f6000 08:01 185351                         /usr/lib64/libfftw3.so.3.3.0
3dc44fd000-3dc44fe000 rw-p 000fd000 08:01 185351                         /usr/lib64/libfftw3.so.3.3.0
3dc4600000-3dc4641000 r-xp 00000000 08:01 191309                         /usr/lib64/libjack.so.0.1.0
3dc4641000-3dc4840000 ---p 00041000 08:01 191309                         /usr/lib64/libjack.so.0.1.0
3dc4840000-3dc4843000 rw-p 00040000 08:01 191309                         /usr/lib64/libjack.so.0.1.0
3dc4843000-3dc4844000 rw-p 00000000 00:00 0 
3dc4a00000-3dc4a6b000 r-xp 00000000 08:01 168635                         /usr/lib64/libSDL-1.2.so.0.11.3
3dc4a6b000-3dc4c6b000 ---p 0006b000 08:01 168635                         /usr/lib64/libSDL-1.2.so.0.11.3
3dc4c6b000-3dc4c6c000 r--p 0006b000 08:01 168635                         /usr/lib64/libSDL-1.2.so.0.11.3
3dc4c6c000-3dc4c6d000 rw-p 0006c000 08:01 168635                         /usr/lib64/libSDL-1.2.so.0.11.3
3dc4c6d000-3dc4c9d000 rw-p 00000000 00:00 0 
3dc4e00000-3dc4ec3000 r-xp 00000000 08:01 172186                         /usr/lib64/libIlmImf.so.6.0.0
3dc4ec3000-3dc50c2000 ---p 000c3000 08:01 172186                         /usr/lib64/libIlmImf.so.6.0.0
3dc50c2000-3dc50c5000 r--p 000c2000 08:01 172186                         /usr/lib64/libIlmImf.so.6.0.0
3dc50c5000-3dc50c7000 rw-p 000c5000 08:01 172186                         /usr/lib64/libIlmImf.so.6.0.0
3dc5200000-3dc5215000 r-xp 00000000 08:01 191252                         /usr/lib64/libgcc_s-4.7.0-20120416.so.1
3dc5215000-3dc5414000 ---p 00015000 08:01 191252                         /usr/lib64/libgcc_s-4.7.0-20120416.so.1
3dc5414000-3dc5415000 rw-p 00014000 08:01 191252                         /usr/lib64/libgcc_s-4.7.0-20120416.so.1
3dc5600000-3dc5603000 r-xp 00000000 08:01 143868                         /usr/lib64/libboost_system-mt.so.1.48.0
3dc5603000-3dc5802000 ---p 00003000 08:01 143868                         /usr/lib64/libboost_system-mt.so.1.48.0
3dc5802000-3dc5803000 r--p 00002000 08:01 143868                         /usr/lib64/libboost_system-mt.so.1.48.0
3dc5803000-3dc5804000 rw-p 00003000 08:01 143868                         /usr/lib64/libboost_system-mt.so.1.48.0
3dc5a00000-3dc5a02000 r-xp 00000000 08:01 191274                         /usr/lib64/libXau.so.6.0.0
3dc5a02000-3dc5c02000 ---p 00002000 08:01 191274                         /usr/lib64/libXau.so.6.0.0
3dc5c02000-3dc5c03000 r--p 00002000 08:01 191274                         /usr/lib64/libXau.so.6.0.0
3dc5c03000-3dc5c04000 rw-p 00003000 08:01 191274                         /usr/lib64/libXau.so.6.0.0
3dc5e00000-3dc5f33000 r-xp 00000000 08:01 191276                         /usr/lib64/libX11.so.6.3.0
3dc5f33000-3dc6133000 ---p 00133000 08:01 191276                         /usr/lib64/libX11.so.6.3.0
3dc6133000-3dc6134000 r--p 00133000 08:01 191276                         /usr/lib64/libX11.so.6.3.0
3dc6134000-3dc6139000 rw-p 00134000 08:01 191276                         /usr/lib64/libX11.so.6.3.0
3dc6200000-3dc621d000 r-xp 00000000 08:01 191275                         /usr/lib64/libxcb.so.1.1.0
3dc621d000-3dc641c000 ---p 0001d000 08:01 191275                         /usr/lib64/libxcb.so.1.1.0
3dc641c000-3dc641d000 r--p 0001c000 08:01 191275                         /usr/lib64/libxcb.so.1.1.0
3dc641d000-3dc641e000 rw-p 0001d000 08:01 191275                         /usr/lib64/libxcb.so.1.1.0
3dc6600000-3dc6610000 r-xp 00000000 08:01 191284                         /usr/lib64/libXext.so.6.4.0
3dc6610000-3dc6810000 ---p 00010000 08:01 191284                         /usr/lib64/libXext.so.6.4.0
3dc6810000-3dc6811000 r--p 00010000 08:01 191284                         /usr/lib64/libXext.so.6.4.0
3dc6811000-3dc6812000 rw-p 00011000 08:01 191284                         /usr/lib64/libXext.so.6.4.0
3dc6a00000-3dc6a1e000 r-xp 00000000 08:01 172057                         /usr/lib64/libboost_filesystem-mt.so.1.48.0
3dc6a1e000-3dc6c1d000 ---p 0001e000 08:01 172057                         /usr/lib64/libboost_filesystem-mt.so.1.48.0
3dc6c1d000-3dc6c1e000 r--p 0001d000 08:01 172057                         /usr/lib64/libboost_filesystem-mt.so.1.48.0
3dc6c1e000-3dc6c1f000 rw-p 0001e000 08:01 172057                         /usr/lib64/libboost_filesystem-mt.so.1.48.0
3dc6e00000-3dc6e55000 r-xp 00000000 08:01 165310                         /usr/lib64/libopenal.so.1.14.0
3dc6e55000-3dc7055000 ---p 00055000 08:01 165310                         /usr/lib64/libopenal.so.1.14.0
3dc7055000-3dc7057000 r--p 00055000 08:01 165310                         /usr/lib64/libopenal.so.1.14.0
3dc7057000-3dc7058000 rw-p 00057000 08:01 165310                         /usr/lib64/libopenal.so.1.14.0
3dc7058000-3dc7059000 rw-p 00000000 00:00 0 
3dc7200000-3dc729b000 r-xp 00000000 08:01 191270                         /usr/lib64/libfreetype.so.6.8.0
3dc729b000-3dc749a000 ---p 0009b000 08:01 191270                         /usr/lib64/libfreetype.so.6.8.0
3dc749a000-3dc74a0000 r--p 0009a000 08:01 191270                         /usr/lib64/libfreetype.so.6.8.0
3dc74a0000-3dc74a1000 rw-p 000a0000 08:01 191270                         /usr/lib64/libfreetype.so.6.8.0
3dc7600000-3dc7603000 r-xp 00000000 08:01 184989                         /usr/lib64/libspnav.so.0.1
3dc7603000-3dc7802000 ---p 00003000 08:01 184989                         /usr/lib64/libspnav.so.0.1
3dc7802000-3dc7803000 rw-p 00002000 08:01 184989                         /usr/lib64/libspnav.so.0.1
3dc7a00000-3dc7a29000 r-xp 00000000 08:01 191273                         /usr/lib64/libpng15.so.15.10.0
3dc7a29000-3dc7c28000 ---p 00029000 08:01 191273                         /usr/lib64/libpng15.so.15.10.0
3dc7c28000-3dc7c29000 r--p 00028000 08:01 191273                         /usr/lib64/libpng15.so.15.10.0
3dc7c29000-3dc7c2a000 rw-p 00029000 08:01 191273                         /usr/lib64/libpng15.so.15.10.0
3dc7e00000-3dc7f4e000 r-xp 00000000 08:01 191265                         /usr/lib64/libxml2.so.2.7.8
3dc7f4e000-3dc814d000 ---p 0014e000 08:01 191265                         /usr/lib64/libxml2.so.2.7.8
3dc814d000-3dc8155000 r--p 0014d000 08:01 191265                         /usr/lib64/libxml2.so.2.7.8
3dc8155000-3dc8157000 rw-p 00155000 08:01 191265                         /usr/lib64/libxml2.so.2.7.8
3dc8157000-3dc8158000 rw-p 00000000 00:00 0 
3dc8200000-3dc839b000 r-xp 00000000 08:01 140126                         /usr/lib64/libpython3.2mu.so.1.0
3dc839b000-3dc859b000 ---p 0019b000 08:01 140126                         /usr/lib64/libpython3.2mu.so.1.0
3dc859b000-3dc859d000 r--p 0019b000 08:01 140126                         /usr/lib64/libpython3.2mu.so.1.0
3dc859d000-3dc85e9000 rw-p 0019d000 08:01 140126                         /usr/lib64/libpython3.2mu.so.1.0
3dc85e9000-3dc8606000 rw-p 00000000 00:00 0 
3dc8a00000-3dc8a0e000 r-xp 00000000 08:01 191286                         /usr/lib64/libXi.so.6.1.0
3dc8a0e000-3dc8c0d000 ---p 0000e000 08:01 191286                         /usr/lib64/libXi.so.6.1.0
3dc8c0d000-3dc8c0e000 r--p 0000d000 08:01 191286                         /usr/lib64/libXi.so.6.1.0
3dc8c0e000-3dc8c0f000 rw-p 0000e000 08:01 191286                         /usr/lib64/libXi.so.6.1.0
3dc8e00000-3dc8e63000 r-xp 00000000 08:01 175649                         /usr/lib64/libOpenCOLLADAStreamWriter.so.0.1
3dc8e63000-3dc9062000 ---p 00063000 08:01 175649                         /usr/lib64/libOpenCOLLADAStreamWriter.so.0.1
3dc9062000-3dc9065000 r--p 00062000 08:01 175649                         /usr/lib64/libOpenCOLLADAStreamWriter.so.0.1
3dc9065000-3dc9066000 rw-p 00065000 08:01 175649                         /usr/lib64/libOpenCOLLADAStreamWriter.so.0.1
3dc9066000-3dc9068000 rw-p 00000000 00:00 0 
3dc9200000-3dc9205000 r-xp 00000000 08:01 191288                         /usr/lib64/libXfixes.so.3.1.0
3dc9205000-3dc9404000 ---p 00005000 08:01 191288                         /usr/lib64/libXfixes.so.3.1.0
3dc9404000-3dc9405000 r--p 00004000 08:01 191288                         /usr/lib64/libXfixes.so.3.1.0
3dc9405000-3dc9406000 rw-p 00005000 08:01 191288                         /usr/lib64/libXfixes.so.3.1.0
3dc9600000-3dc99db000 r-xp 00000000 08:01 191305                         /usr/lib64/libhdf5.so.7.0.2
3dc99db000-3dc9bda000 ---p 003db000 08:01 191305                         /usr/lib64/libhdf5.so.7.0.2
3dc9bda000-3dc9bdf000 r--p 003da000 08:01 191305                         /usr/lib64/libhdf5.so.7.0.2
3dc9bdf000-3dc9be6000 rw-p 003df000 08:01 191305                         /usr/lib64/libhdf5.so.7.0.2
3dc9be6000-3dc9be7000 rw-p 00000000 00:00 0 
3dc9c00000-3dc9c2d000 r-xp 00000000 08:01 172103                         /usr/lib64/libpugixml.so.1.0
3dc9c2d000-3dc9e2d000 ---p 0002d000 08:01 172103                         /usr/lib64/libpugixml.so.1.0
3dc9e2d000-3dc9e2e000 r--p 0002d000 08:01 172103                         /usr/lib64/libpugixml.so.1.0
3dc9e2e000-3dc9e2f000 rw-p 0002e000 08:01 172103                         /usr/lib64/libpugixml.so.1.0
3dca000000-3dca00f000 r-xp 00000000 08:01 185022                         /usr/lib64/libtbbmalloc.so.2
3dca00f000-3dca20f000 ---p 0000f000 08:01 185022                         /usr/lib64/libtbbmalloc.so.2
3dca20f000-3dca211000 rw-p 0000f000 08:01 185022                         /usr/lib64/libtbbmalloc.so.2
3dca211000-3dca222000 rw-p 00000000 00:00 0 
3dca400000-3dca412000 r-xp 00000000 08:01 142980                         /usr/lib64/libGeneratedSaxParser.so.0.1
3dca412000-3dca611000 ---p 00012000 08:01 142980                         /usr/lib64/libGeneratedSaxParser.so.0.1
3dca611000-3dca612000 r--p 00011000 08:01 142980                         /usr/lib64/libGeneratedSaxParser.so.0.1
3dca612000-3dca613000 rw-p 00012000 08:01 142980                         /usr/lib64/libGeneratedSaxParser.so.0.1
3dcaa00000-3dcaa2a000 r-xp 00000000 08:01 172074                         /usr/lib64/libtbb.so.2
3dcaa2a000-3dcac29000 ---p 0002a000 08:01 172074                         /usr/lib64/libtbb.so.2
3dcac29000-3dcac2c000 rw-p 00029000 08:01 172074                         /usr/lib64/libtbb.so.2
3dcac2c000-3dcac2d000 rw-p 00000000 00:00 0 
3dcae00000-3dcae19000 r-xp 00000000 08:01 172112                         /usr/lib64/libboost_thread-mt.so.1.48.0
3dcae19000-3dcb019000 ---p 00019000 08:01 172112                         /usr/lib64/libboost_thread-mt.so.1.48.0
3dcb019000-3dcb01b000 r--p 00019000 08:01 172112                         /usr/lib64/libboost_thread-mt.so.1.48.0
3dcb01b000-3dcb01c000 rw-p 0001b000 08:01 172112                         /usr/lib64/libboost_thread-mt.so.1.48.0
3dcb200000-3dcb314000 r-xp 00000000 08:01 172059                         /usr/lib64/libboost_regex-mt.so.1.48.0
3dcb314000-3dcb514000 ---p 00114000 08:01 172059                         /usr/lib64/libboost_regex-mt.so.1.48.0
3dcb514000-3dcb519000 r--p 00114000 08:01 172059                         /usr/lib64/libboost_regex-mt.so.1.48.0
3dcb519000-3dcb51c000 rw-p 00119000 08:01 172059                         /usr/lib64/libboost_regex-mt.so.1.48.0
3dcb600000-3dcb61a000 r-xp 00000000 08:01 156870                         /usr/lib64/libIex.so.6.0.0
3dcb61a000-3dcb81a000 ---p 0001a000 08:01 156870                         /usr/lib64/libIex.so.6.0.0
3dcb81a000-3dcb81e000 r--p 0001a000 08:01 156870                         /usr/lib64/libIex.so.6.0.0
3dcb81e000-3dcb81f000 rw-p 0001e000 08:01 156870                         /usr/lib64/libIex.so.6.0.0
3dcba00000-3dcba02000 r-xp 00000000 08:01 191291                         /usr/lib64/libXdamage.so.1.1.0
3dcba02000-3dcbc01000 ---p 00002000 08:01 191291                         /usr/lib64/libXdamage.so.1.1.0
3dcbc01000-3dcbc02000 r--p 00001000 08:01 191291                         /usr/lib64/libXdamage.so.1.1.0
3dcbc02000-3dcbc03000 rw-p 00002000 08:01 191291                         /usr/lib64/libXdamage.so.1.1.0Aborted
Comment 1 Richard Shaw 2012-04-20 10:54:38 EDT
I emailed the person responsible for setting up the SpaceNavigator software in Blender and it's supposed to happily keep working even if it can't connect to spacenavd which I think is why he assumes it's a SELinux issue.
Comment 2 Richard Shaw 2012-04-20 10:59:21 EDT
Now that I think about it. Let's try a little test if you don't mind. Even if you don't have a space pilot or other 3D input device you can still install spancenavd. I'm just curious if installing it will fix the problem.

yum install spacenavd
systemctl start spacenavd.service

Actually, try just installing it first and see if Blender still crashes. If it does, try starting the service and running Blender again.

What's strange is I run my own package of Blender (newer than what's in the repos) and while I do have spacenavd installed (I'm the maintainer) I don't have it running and Blender has never crashed on me like that.
Comment 3 Jochen Schmitt 2012-04-23 14:28:47 EDT
It may be nice, if you can install the debuginfo packages for libspnav and retry to reproduced the reported crash. Without the xymbols the backtrace is useless for me.
Comment 4 Richard Shaw 2012-04-25 09:16:27 EDT
*** Bug 814262 has been marked as a duplicate of this bug. ***
Comment 5 Richard Shaw 2012-04-25 09:22:59 EDT
Created attachment 580168 [details]
patch for blender ndof system

Here's the svn diff for the patch applied by upstream in case it's useful.
Comment 6 Fedora Update System 2012-04-25 13:09:44 EDT
blender-2.62-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/blender-2.62-6.fc17
Comment 7 Daniel Belton 2012-04-26 11:34:17 EDT
This update appears to fix this issue.

I stopped and disabled the spacenavd service, and completely removed spacenavd using yum. Then installed this blender update, and tested it out. 

This appears to have fixed the spacenavd issue.

What I get now when running blender:

=======
[Me@tower20 ~]$ blender
connect failed: No such file or directory
ndof: spacenavd not found
Error: Not freed memory blocks: 2
IDProperty group len: 128 0x53de838
uiAfterFunc len: 720 0x5385a48

Blender quit
=======

I didn't get those other errors and warnings on the previous version, though. 

Here is what I got when running the previous version (with spacenavd loaded):

======
[Me@tower20 ~]$ blender
ndof: unknown Logitech product c52b
ndof: unknown Logitech product c308

Blender quit
======
Comment 8 Fedora Update System 2012-04-26 15:25:57 EDT
Package blender-2.62-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing blender-2.62-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6647/blender-2.62-6.fc17
then log in and leave karma (feedback).
Comment 9 Daniel Belton 2012-04-27 13:13:44 EDT
the luxrender-blender package needs to be rebuilt as well. Today's update to luxrender-blender has a dependency on a specific version (2.61) of blender.

12:09:32 : ERROR: Dependency resolving completed with errors
12:09:32 : ERROR:   Package: LuxRender-blender-0.8.0-13.fc17.x86_64 (fedora)
    Requires: blender(ABI) = 2.61
    Installed: 1:blender-2.62-6.fc17.x86_64 (@/blender-2.62-6.fc17.x86_64)
        blender(ABI) = 2.62
    Installed: 1:blenderplayer-2.62-6.fc17.x86_64 (@/blenderplayer-2.62-6.fc17.x86_64)
        blender(ABI) = 2.62
    Available: 1:blender-2.62-2.fc17.x86_64 (fedora)
        blender(ABI) = 2.62
    Available: 1:blenderplayer-2.62-2.fc17.x86_64 (fedora)
        blender(ABI) = 2.62
Comment 10 Nicolas Chauvet (kwizart) 2012-04-27 15:19:53 EDT
This is known, and will be done along with a LuxRender RC1 compatible update.
Comment 11 Daniel Belton 2012-04-27 22:17:09 EDT
Thanks. 

I thought about it after writing the comment that I should really have opened a new bug report for it, but since it is already known and being taken care of, there isn't much need in doing so.
Comment 12 Fedora Update System 2012-05-12 09:49:58 EDT
blender-2.63a-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/blender-2.63a-1.fc17
Comment 13 Jakub Steiner 2012-05-14 09:52:58 EDT
Still getting a crash with 
http://kojipkgs.fedoraproject.org/packages/blender/2.63a/1.fc17/x86_64/blender-2.63a-1.fc17.x86_64.rpm

It works if I enable the spacenavd.service as has been suggested.
Comment 14 Daniel Belton 2012-05-14 22:34:45 EDT
I completely removed the spacenavd package and it works fine here. Does it give you a crash if the spacenavd package isn't installed at all? Or is it crashing if spacenavd is installed but not enabled? Or both?
Comment 15 Jakub Steiner 2012-05-15 06:57:29 EDT
Darn, I can't reproduce the crash at all today. blender-2.63a-1.fc17.x86_64 is able to run with the spacenavd service running or not, or the package uninstalled completely. Sorry for the noise.
Comment 16 Fedora Update System 2012-05-26 03:29:40 EDT
blender-2.63a-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.